
Auto Multiple Choice - Feature # 12: Write source without LaTeX knowledge

Status: Closed Priority: Normal
Author: Alexis Bienvenüe Category:
Created: 03/01/2012 Assignee:
Updated: 03/28/2012 Due date:
Description: Create some filter to allow non-LaTeX speakers to create exam subjects. This means less freedom to do 

exactly what you need than with LaTeX, but it is easier for a lot of people. Users who need more control 
should be allowed to continue writing subjects with LaTeX, of course...

The subject source "code" could look like that:

<pre>
Title: AMC exam

* Question text
+ correct answer
- wrong answer 1
- wrong answer 2
</pre>

There should also be some syntax to give scoring strategy and some other layout parameters.

History
03/02/2012 09:36 am - red sea
great, thanks.

Alexis Bienvenüe wrote:
> Create some filter to allow non-LaTeX speakers to create exam subjects. This means less freedom to do exactly what you need than with LaTeX, but 
it is easier for a lot of people. Users who need more control should be allowed to continue writing subjects with LaTeX, of course...
> 
> The subject source "code" could look like that:
> 
> [...]
> 
> There should also be some syntax to give scoring strategy and some other layout parameters.

03/12/2012 09:36 pm - Alexis Bienvenüe
- Status changed from New to In Progress

Implemented since r899 - the result may vary a little until 1.1.0 is out.

03/17/2012 06:02 pm - red sea
I hope you add a small form to add the Quastion and answer.

03/17/2012 06:12 pm - Alexis Bienvenüe
red sea wrote:
> I hope you add a small form to add the Quastion and answer.

07/09/2025 1/2



I'm afraid I won't implement this soon, so I open a different feature request for this point (see #17).

03/28/2012 10:19 pm - Alexis Bienvenüe
- Status changed from In Progress to Closed
